<?PHP

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/myforums/myforums.topics.groups.php
Version=1.1
Updated=2006-mar-06
Type=Plugin
Author=Neocrome
Description=
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=myforums
Part=topics.groups
File=myforums.topics.groups
Hooks=forums.topics.tags
Tags=forums.topics.tpl:FORUMS_TOPICS_GROUPS_READ,FORUMS_TOPICS_GROUPS_WRITE,FORUMS_TOPICS_GROUPS_ADMIN
Minlevel=0
Order=20
[END_SED_EXTPLUGIN]

==================== */

if (!defined('SED_CODE')) { die('Wrong URL.'); }

$myforums_groups = array();
$myforums_grpcnt = array();

$sqltmp = sed_sql_query("SELECT a.auth_groupid, a.auth_rights
	FROM $db_auth AS a
	LEFT JOIN $db_groups as g ON g.grp_id=a.auth_groupid
	WHERE auth_code='forums' AND auth_option='$s'
	ORDER BY grp_level DESC");

while ($rowtmp = sed_sql_fetcharray($sqltmp))
	{
	if ((($rowtmp['auth_rights'] & 1) == 1))
		{
		if (!$sed_groups[$rowtmp['auth_groupid']]['hidden'])
			{ $myforums_groups['read'][$rowtmp['auth_groupid']] = sed_build_group($rowtmp['auth_groupid']); }
		$myforums_grpcnt['read']++;
		}
	if ((($rowtmp['auth_rights'] & 2) == 2))
		{
	   	if (!$sed_groups[$rowtmp['auth_groupid']]['hidden'])
			{ $myforums_groups['write'][$rowtmp['auth_groupid']] = sed_build_group($rowtmp['auth_groupid']); }
		$myforums_grpcnt['write']++;
		}
	if ((($rowtmp['auth_rights'] & 128) == 128))
		{
		if (!$sed_groups[$rowtmp['auth_groupid']]['hidden'])
			{ $myforums_groups['admin'][$rowtmp['auth_groupid']] = sed_build_group($rowtmp['auth_groupid']); }
		$myforums_grpcnt['admin']++;
		}
	}

$myforums_totacgrp = count($sed_groups)-1;

$myforums_groups['read'] = ($myforums_grpcnt['read']==$myforums_totacgrp) ? $L['All'] : implode(', ', $myforums_groups['read']);
$myforums_groups['write'] = ($myforums_grpcnt['write']==$myforums_totacgrp) ? $L['All'] : implode(', ', $myforums_groups['write']);
$myforums_groups['admin'] = ($myforums_grpcnt['admin']==$myforums_totacgrp) ? $L['All'] : implode(', ', $myforums_groups['admin']);

$t-> assign(array(
	"FORUMS_TOPICS_GROUPS_READ" => $myforums_groups['read'],
	"FORUMS_TOPICS_GROUPS_WRITE" => $myforums_groups['write'],
	"FORUMS_TOPICS_GROUPS_ADMIN" => $myforums_groups['admin']
	));

?>
